@ECHO OFF
REM  DC 4.0-05/02/01
CLS
ECHO This command builds a bootable DriveCopy diskette set.
ECHO.
ECHO You need two blank 3.5" diskettes.  After reviewing
ECHO the license agreement, the first diskette will be
ECHO formatted and the System and device drivers will be
ECHO copied.  Next the second diskette will be formatted
ECHO and then the DriveCopy files will be copied.
ECHO.
if %1n==A:n GOTO DRIVEOK
if %1n==a:n GOTO DRIVEOK
if %1n==B:n GOTO DRIVEOK
if %1n==b:n GOTO DRIVEOK
ECHO *************************************************
ECHO Please run this command from a DOS command line
ECHO and specify the diskette drive letter as follows:
ECHO MAKEDISK A: or MAKEDISK B:
ECHO *************************************************
ECHO.
PAUSE
GOTO DONE
:DRIVEOK
ECHO Press a key on the keyboard to advance to the next
ECHO page of the license agreement.
ECHO.
PAUSE
CLS
MORE <LICENSE.TXT
ECHO.
ECHO.
PAUSE
CLS
ECHO ************ LICENSE AGREEMENT ************
ECHO.
ECHO To indicate your acceptance of this software license
ECHO agreement type YES and press Enter.
ECHO.
YES !Do you agree to this license agreement (YES/NO)?
IF ERRORLEVEL 1 GOTO FMTDISK
ECHO.
ECHO IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS, EITHER
ECHO DESTROY OR RETURN, INTACT, THE DRIVECOPY PACKAGE, CONTAINING
ECHO THE CD OR DISK MEDIA, TOGETHER WITH THE OTHER COMPONENTS OF
ECHO THE PRODUCT TO THE PLACE OF PURCHASE.
ECHO.
ECHO Installation terminated.
GOTO DONE
:FMTDISK
CLS
ECHO *************** FORMAT DISKETTE 1 ***************
ECHO.
ECHO Please insert first blank diskette.
ECHO.
PAUSE
IF %WINBOOTDIR%1==1 GOTO CDOS1
%WINBOOTDIR%\COMMAND\FORMAT %1 /AUTOTEST /S /V:DC1of2
%WINBOOTDIR%\COMMAND\ATTRIB -R -H -S   %1\DRVSPACE.BIN
DEL %1\DRVSPACE.BIN
COPY CONFIG95.SYS                      %1\CONFIG.SYS
COPY AUTOEXEC.BAT                      %1\AUTOEXEC.BAT
COPY %WINBOOTDIR%\HIMEM.SYS            %1\HIMEM.SYS
COPY %WINBOOTDIR%\COMMAND\DISPLAY.SYS  %1\DISPLAY.SYS
COPY %WINBOOTDIR%\COMMAND\EGA.CPI      %1\EGA.CPI
COPY %WINBOOTDIR%\COMMAND\KEYB.COM     %1\KEYB.COM
COPY %WINBOOTDIR%\COMMAND\KEYBOARD.SYS %1\KEYBOARD.SYS
COPY %WINBOOTDIR%\COMMAND\MODE.COM     %1\MODE.COM
COPY PARTINFO.EXE                      %1\PARTINFO.EXE
COPY PTEDIT.EXE                        %1\PTEDIT.EXE
GOTO NOSYS1
:CDOS1
ECHO After a successful diskette format, answer N to
ECHO the question "Format another diskette (Y/N)?"
ECHO.
IF %OS%1==Windows_NT1 GOTO NTFORMAT1
FORMAT %1 /A /U /V:DC1of2
GOTO COPYFILES
:NTFORMAT1
FORMAT %1 /Q /V:DC1of2
:COPYFILES
COPY BIO.SYS      %1\IBMBIO.COM
COPY DOS.SYS      %1\IBMDOS.COM
COPY CMD.SYS      %1\COMMAND.COM
COPY CONFIG.SYS   %1\CONFIG.SYS
COPY AUTOEXEC.BAT %1\AUTOEXEC.BAT
COPY HIMEM.SYS    %1\HIMEM.SYS
COPY DISPLAY.SYS  %1\DISPLAY.SYS
COPY EGA.CPI      %1\EGA.CPI
COPY KEYB.COM     %1\KEYB.COM
COPY CHKDSK.EXE   %1\CHKDSK.EXE
COPY MODE.COM     %1\MODE.COM
COPY PARTINFO.EXE %1\PARTINFO.EXE
COPY PTEDIT.EXE   %1\PTEDIT.EXE
ECHO System Files transferred.
:NOSYS1
ECHO.
ECHO Please remove the diskette from %1 and label it
ECHO "DriveCopy Boot Disk  1 of 2"
ECHO and then insert a second blank diskette.
PAUSE
CLS
ECHO *************** FORMAT DISKETTE 2 ***************
if %WINBOOTDIR%1==1 GOTO CDOS2
%WINBOOTDIR%\COMMAND\FORMAT %1 /AUTOTEST /V:DC2of2
COPY %WINBOOTDIR%\COMMAND.COM %1\COMMAND.COM
GOTO NOSYS2
:CDOS2
ECHO After a successful diskette format, answer N to
ECHO the question "Format another diskette (Y/N)?"
ECHO.
IF %OS%1==Windows_NT1 GOTO NTFORMAT2
FORMAT %1 /A /U /V:DC2of2
COPY CMD.SYS      %1\COMMAND.COM
GOTO NOSYS2
:NTFORMAT2
FORMAT %1 /Q /V:DC2of2
COPY CMD.SYS      %1\COMMAND.COM
:NOSYS2
CLS
ECHO ************ COPY DRIVECOPY FILES ************
COPY MOUSE.COM  %1\MOUSE.COM
COPY AUTOEXEC.BAT %1\AUTOEXEC.BAT
COPY PQDC.OVL   %1\PQDC.OVL
COPY PQDC.EXE   %1\PQDC.EXE
COPY PQDC.PQG   %1\PQDC.PQG
COPY PQDC.RTC   %1\PQDC.RTC
COPY DCHELP.DAT %1\DCHELP.DAT
ECHO.
ECHO Please remove the diskette from %1 and label it
ECHO "DriveCopy Program Disk  2 of 2"
ECHO.
ECHO DriveCopy diskette set completed.
GOTO DONE
:DONE
